Subject: Re: [TLS] Working Group Last Call for draft-ietf-tls-sslv3-diediedie-00

From: Peter Gutmann <[email-masked]>
Date: Sun, 1 Feb 2015 14:10:05 +0000

Kurt Roeckx <[email-masked]> writes:

>We're now between 50% and 70% that support TLS 1.2 depending on who you ask.

That's the publicly-visible servers, i.e. standard PCs (including ones in
racks in data centres).  In the embedded space, support for TLS 1.2 is... low.
OS-based support (e.g. in VxWorks, claimed to be the world most widely-used
RTOS) is nonexistent, you need to go to third-party libraries for this, and
even then it's not common.

>My current expectation is that it's most likely going to take until 2020 to
>actually get TLS 1.2 support to the level we now see for TLS 1.0 (around
>99.5%) for both client and server.

For embedded it's going to be much longer than that...

Peter.